Get source maps
- Base URL
-
https://{kibana_url}
-
GET
/api/apm/sourcemaps
-
GET
/s/{space_id}/api/apm/sourcemaps
Auth
Get an array of Fleet artifacts, including source map uploads. You must have read or all Kibana privileges for the APM and User Experience feature.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
perPage
number
-
Number of records per page
-
The version of the API to use
-
Values:
2023-10-31
-
artifacts
object[]
-
Artifacts
-
-
body
object
-
-
sourceMap
object
-
-
compressionAlgorithm
string
-
Compression Algorithm
-
created
string
-
Created date
-
decodedSha256
string
-
Decoded SHA-256
-
decodedSize
number
-
Decoded size
-
encodedSha256
string
-
Encoded SHA-256
-
encodedSize
number
-
Encoded size
-
encryptionAlgorithm
string
-
Encryption Algorithm
-
identifier
string
-
Identifier
-
packageName
string
-
Package name
-
relative_url
string
-
Relative URL
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
Internal Server Error response
application/json
-
message
string
-
Error message
-
statusCode
number
-
Error status code
-
message
string
-
Error message
-
statusCode
number
-
Error status code
Thank you for your feedback.